net.sf.jasperreports.data.csv

## Interface CsvDataAdapter

- All Superinterfaces:
    DataAdapter
  All Known Implementing Classes:
    CsvDataAdapterImpl

      public interface CsvDataAdapter
      extends DataAdapter

  Version:
    $Id: CsvDataAdapter.java 6787 2013-12-09 22:00:46Z teodord $
  Author:
    Teodor Danciu (teodord@users.sourceforge.net)

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.util.List<java.lang.String>` | `getColumnNames()`
    `java.lang.String` | `getDatePattern()`
    `java.lang.String` | `getEncoding()`
    `java.lang.String` | `getFieldDelimiter()`
    `java.lang.String` | `getFileName()`
    `java.lang.String` | `getNumberPattern()`
    `java.lang.String` | `getRecordDelimiter()`
    `boolean` | `isQueryExecuterMode()`
    `boolean` | `isUseFirstRowAsHeader()`
    `void` | `setColumnNames(java.util.List<java.lang.String> columnNames)`
    `void` | `setDatePattern(java.lang.String datePattern)`
    `void` | `setEncoding(java.lang.String encoding)`
    `void` | `setFieldDelimiter(java.lang.String fieldDelimiter)`
    `void` | `setFileName(java.lang.String fileName)`
    `void` | `setNumberPattern(java.lang.String numberPattern)`
    `void` | `setQueryExecuterMode(boolean queryExecuterMode)`
    `void` | `setRecordDelimiter(java.lang.String recordDelimiter)`
    `void` | `setUseFirstRowAsHeader(boolean useFirstRowAsHeader)`

    - ### Methods inherited from interface net.sf.jasperreports.data.DataAdapter

      `getName, setName`

- - ### Method Detail

    - #### getFileName

          java.lang.String getFileName()

    - #### setFileName

          void setFileName(java.lang.String fileName)

    - #### getEncoding

          java.lang.String getEncoding()

    - #### setEncoding

          void setEncoding(java.lang.String encoding)

    - #### isUseFirstRowAsHeader

          boolean isUseFirstRowAsHeader()

    - #### setUseFirstRowAsHeader

          void setUseFirstRowAsHeader(boolean useFirstRowAsHeader)

    - #### getRecordDelimiter

          java.lang.String getRecordDelimiter()

    - #### setRecordDelimiter

          void setRecordDelimiter(java.lang.String recordDelimiter)

    - #### getFieldDelimiter

          java.lang.String getFieldDelimiter()

    - #### setFieldDelimiter

          void setFieldDelimiter(java.lang.String fieldDelimiter)

    - #### getDatePattern

          java.lang.String getDatePattern()

    - #### setDatePattern

          void setDatePattern(java.lang.String datePattern)

    - #### getNumberPattern

          java.lang.String getNumberPattern()

    - #### setNumberPattern

          void setNumberPattern(java.lang.String numberPattern)

    - #### isQueryExecuterMode

          boolean isQueryExecuterMode()

    - #### setQueryExecuterMode

          void setQueryExecuterMode(boolean queryExecuterMode)

    - #### getColumnNames

          java.util.List<java.lang.String> getColumnNames()

    - #### setColumnNames

          void setColumnNames(java.util.List<java.lang.String> columnNames)

© 2001-2010 Jaspersoft Corporation www.jaspersoft.com